import * as $dara from '@darabonba/typescript';
import { CreateDefaultVSwitchResponseBody } from "./CreateDefaultVswitchResponseBody";
export declare class CreateDefaultVSwitchResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateDefaultVSwitchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
